Page MenuHomePhabricator

Time selector on https://edit-analysis.wmflabs.org/compare/ is only followed (?) by the first and fifth elements {crow} [3 pts]
Closed, ResolvedPublic

Description

At https://edit-analysis.wmflabs.org/compare/ at the top of the page are two specificity selectors – a wiki one, and a date range one.

The first appears to work for all wikis (https://gerrit.wikimedia.org/r/#/c/237493/ notwithstanding) but the second only seems to change the first ("Sequence of Actions") and fifth ("Failure Types by User Type") elements – the second ("Rates over time"), third ("Success by Experience of User") and fourth ("Failure Rates by Type") elements all display the new range in their title, but show the same data regardless of selection.

Event Timeline

Jdforrester-WMF raised the priority of this task from to Needs Triage.
Jdforrester-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2015, 9:30 PM
Milimetric renamed this task from Time selector on https://edit-analysis.wmflabs.org/compare/ is only followed (?) by the first and fifth elements to Time selector on https://edit-analysis.wmflabs.org/compare/ is only followed (?) by the first and fifth elements {crow} [3 pts].Sep 11 2015, 12:22 AM
Milimetric claimed this task.
Milimetric triaged this task as High priority.
Milimetric added a project: Analytics-Kanban.
Milimetric set Security to None.

This is a side effect of the new line-toggle filters. I forgot to check that the other filtering passes through those filters. doh :)

Change 237703 had a related patch set uploaded (by Milimetric):
Fix column filter to carry over any date filters

https://gerrit.wikimedia.org/r/237703

Change 237703 merged by Mforns:
Fix column filter to carry over any date filters

https://gerrit.wikimedia.org/r/237703

Milimetric added a subscriber: bmansurov.

@Jdforrester-WMF, this works now, sorry 'bout that. cc: @bmansurov: check out the attached patch, I missed this while reviewing, sorry 'bout that.

Jdforrester-WMF closed this task as Resolved.Sep 12 2015, 12:58 AM
Neil_P._Quinn_WMF raised the priority of this task from High to Needs Triage.Mar 29 2018, 9:06 AM
Neil_P._Quinn_WMF moved this task from Neil's in progress to Radar on the Contributors-Analysis board.